BP_SEARCH2ALNBLOCKS(1)

NAME
bp_search2alnblocks - Turn SearchIO parseable reports(s) into a set of aligned blocks

SYNOPSIS
  bp_search2alnblocks --minid PERCENTID --minlen LEN --minevalue EVALUE file1.
  blast file2.blast ...> out.fas

DESCRIPTION
This script will parse and filter BLAST (or other formats Bio::SearchIO can parse) output and format the alignment as blocks of alignments based on the HSPs. Note this can only work if the input file parsed contains the necessary.

Typically this can be used to turn BLAST output into a FASTA alignment format for input into the QRNA comparative gene finder for RNA genes (E.Rivas).

OPTIONS
 --maxevalue   Maximum E-value for an HSP
 --minevalue   Minimum E-value for an HSP
 --minlen      Minimum length of an HSP [default 0]
 --maxid       Maximum Percent Id [default 100]
               (to help remove sequences which are really close)
 --minid       Minimum Percent Identity for an HSP [default 0]
 -i/--input    An optional input filename (expects input on STDIN by default)
 -o/--output   An optional output filename (exports to STDOUT by default)
 -f/--format   Specify a different Search Alignment format-
               {fasta, axt, waba, blast, blastxml} are all permitted
               although the format must have actual alignment
               sequence for this script to work
               See L<Bio::SearchIO> for more information.
 -of/--outformat Output format for the alignment blocks, anything
               L<Bio::AlignIO> supports.
 -v/--verbose  Turn on debugging

AUTHOR - Jason Stajich
Jason Stajich, jason-at-bioperl-dot-org.